## connie-0.4.3rc9.tar.gz

=== Makefile ===
# for debian packager
BIN=$(DESTDIR)/usr/bin
MAN=$(DESTDIR)/usr/share/man/man1

# uncomment for experimental jack-session support
# JACK_SESSION=-DJACK_SESSION 

CFLAGS=$(JACK_SESSION) -D_GNU_SOURCE -Wall -std=c99 -O3 -fomit-frame-pointer -pipe
CXXFLAGS=$(JACK_SESSION) -D_GNU_SOURCE -Wall -O3 -fomit-frame-pointer -pipe
CXXFLAGS_I386=-DCONNIE_I386 $(CXXFLAGS)
CXXFLAGS_SSE=-DCONNIE_SSE $(CXXFLAGS) -march=pentium3 -msse -mfpmath=sse -ffast-math 

TARGETS=connie_i386 connie_sse


all: $(TARGETS) 

deb: all
	fakeroot debian/rules binary

qt4/connie_qt4:
	cd qt4 && make

connie_sse: connie_main_sse.o connie_ui_sse.o reverb_sse.o
	gcc $(LDFLAGS) -o $@ $^ -ljack -lconfuse

connie_main_sse.o: connie_main.cpp connie.h connie_ui.h reverb.h scales.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<

connie_ui_sse.o: connie_ui.cpp connie.h connie_ui.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<

reverb_sse.o: reverb.cpp reverb.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<



connie_i386: connie_main_i386.o connie_ui_i386.o reverb_i386.o
	gcc $(LDFLAGS) -o $@ $^ -ljack -lconfuse

connie_main_i386.o: connie_main.cpp connie.h connie_ui.h reverb.h scales.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<

connie_ui_i386.o: connie_ui.cpp connie.h connie_ui.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<

reverb_i386.o: reverb.cpp reverb.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<


clean:
	rm -f *~ .*~ *.o

distclean: clean
	rm $(TARGETS)
	rm build-stamp configure-stamp

debclean:
	fakeroot debian/rules clean


install: $(TARGETS) connie connie.1
	install -s -p $(TARGETS) $(BIN)
	install -p connie $(BIN)
	install -p connie.1 $(MAN)

uninstall:
	cd $(BIN) && rm -f $(TARGETS) connie
	rm -f $(MAN)/connie.1

tar: debclean
	sh MKtar.sh

=== debian/changelog ===
connie (0.4.3-rc9) experimental; urgency=low
  * experimental qt4 interface (source code only)
  * source moved c -> c++
  * session bug fixed (thanks brummer)
  * prepared for jack-session
  * set drawbar values with option -d
  * save and restore status
  * JCRev type reverb uses less cpu
  * default hammond gear ratio intonation
  * opt. intonations inspired by aeolus
  * colored "gui"
  * some DSP optimizations, better denormal handling
  * smoother attack/decay envelopes
  * percussion triggered by first keypress only

 -- Martin Homuth-Rosemann <homuth-rosemann@cryptomys.de>  Thu, 14 Oct 2010 21:36:00 +0200

connie (0.4.2) experimental; urgency=low

  * Second organ model, i18n, source code modularization - see Changelog 

 -- Martin Homuth-Rosemann <homuth-rosemann@cryptomys.de>  Fri, 26 Jun 2009 19:51:40 +0200

=== debian/control ===
Source: connie
Section: sound
Priority: optional
Maintainer: Martin Homuth-Rosemann <homuth-rosemann@cryptomys.de>
Build-Depends: debhelper (>= 7),libjack-jackd2-dev,libconfuse-dev
Standards-Version: 3.8.2
Homepage: http://cryptomys.de/horo/Connie

Package: connie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Electronic organ like e.g. Vox Continental with JACK interface
 Connie is an electronic organ program with JACK midi in and JACK audio out.
 The program simulates the signal flow of a typical analog polyphonic organ.
 Besides sounding nice the source code is intended as a toolbox for writing
 and testing own signal processing solutions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/connie.sgml > connie.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/connie.
	$(MAKE) DESTDIR=$(CURDIR)/debian/connie install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
